Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.relesystest.net/api/v1.3/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"7ba7287e-e878-4a7f-bf12-0d8a9a6f8156","userId":"65de0db5-6ca6-4b3c-b65f-1a465ed4946b","departmentId":"1cc0d535-cbc3-4d0e-a8a2-ae2dfc3c48a9","areaDepartmentId":"62ef0e0b-9b97-4322-83ec-5050ae029531","serviceFormFillingId":"22e5fa63-a587-45a5-9512-c37121634e8b","creationDateTime":"2026-04-15T10:48:54.9384948+00:00","lastModifiedDateTime":"2026-04-15T10:48:54.9384948+00:00"},{"id":"fb4acff2-d964-448e-a458-cca9ff853e7b","userId":"3288890b-53ad-4433-b60d-4fe5039266b8","departmentId":"5551b286-bfe3-45bc-907a-2038df2d7bbf","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-04-14T10:48:54.9384948+00:00","lastModifiedDateTime":"2026-04-15T10:48:54.9384948+00:00"}]}
object
  count integer      
  data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string